Skip site navigation (1) Skip section navigation (2)

Re: Fwd: Psycopg2 2.4.2 on Debian with Python 3

From: Michael Bayer <mike_mp(at)zzzcomputing(dot)com>
To: Joe Abbate <jma(at)freedomcircle(dot)com>
Cc: psycopg(at)postgresql(dot)org
Subject: Re: Fwd: Psycopg2 2.4.2 on Debian with Python 3
Date: 2011-08-05 19:07:39
Message-ID: 9F410579-E424-449A-9CBA-9B8889ADE1E3@zzzcomputing.com (view raw or flat)
Thread:
Lists: psycopg
Can't speak for the Wheezy distribution but psycopg2 2.4 (mine reports '2.4 (dt dec pq3 ext)' for __version__) builds + runs error free on Python 3.2 + OSX.

On Aug 5, 2011, at 1:34 PM, Joe Abbate wrote:

> Hello,
> 
> Does anyone on the list know the status of the subject?
> 
> Joe
> 
> -------- Original Message --------
> Subject: Psycopg2 2.4.2-1
> Date: Fri, 29 Jul 2011 20:52:56 -0400
> From: Joe Abbate <jma(at)freedomcircle(dot)com>
> To: kobold(at)debian(dot)org
> 
> Hi Fabio,
> 
> According to this:
> 
> http://initd.org/psycopg/articles/2011/02/27/psycopg-24-released/
> 
> psycopg2 supports Python 3.1 and 3.2.  However,
> 
> http://packages.debian.org/wheezy/python-psycopg2
> 
> says 2.4.2-1 on wheezy only depends on python2.6 or python2.7.
> 
> I presume that means you weren't able to build 2.4.2 with Python 3.1 or
> 3.2.  I'd like to know if that is something that is being worked on and
> if so, if you have an estimate on when that may become available.
> 
> Best regards,
> 
> Joe
> 
> -- 
> Sent via psycopg mailing list (psycopg(at)postgresql(dot)org)
> To make changes to your subscription:
> http://www.postgresql.org/mailpref/psycopg


In response to

psycopg by date

Next:From: Joe AbbateDate: 2011-08-05 19:39:28
Subject: Re: Fwd: Psycopg2 2.4.2 on Debian with Python 3
Previous:From: Daniele VarrazzoDate: 2011-08-05 19:06:48
Subject: Re: Fwd: Psycopg2 2.4.2 on Debian with Python 3

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group